export interface PHPFmt {
  pharName: string;
  pharPath: string;
  installUrl: string;
  hasInstalled: () => boolean;
}

export interface Parser {
  MODE_REGEX: string;
  getPasses: (phpfmt: PHPFmt, mode: string) => string[];
}

export interface PHPFmtStatic {
  v1: PHPFmt;
  v2: PHPFmt;
  parser: Parser;
}

declare const phpfmt: PHPFmtStatic;

export default phpfmt;
