const path = require('path');
const fs = require('fs');

const phpfmt = {
  pharName: 'fmt.phar',
  installUrl:
    'https://api.kotori.love/github/raw/kokororin/fmt/master/bin/fmt.phar'
};
phpfmt.pharPath = path.join(__dirname, phpfmt.pharName);

phpfmt.hasInstalled = () => {
  return fs.existsSync(phpfmt.pharPath);
};

phpfmt.default = phpfmt;

module.exports = exports = phpfmt;
