const path = require('path');
const fs = require('fs');

const phpfmt = {
  pharName: 'fmt.stub.php',
  installUrl:
    'https://api.kotori.love/github/raw/driade/phpfmt8/master/fmt.stub.php'
};
phpfmt.pharPath = path.join(__dirname, phpfmt.pharName);

phpfmt.hasInstalled = () => {
  return fs.existsSync(phpfmt.pharPath);
};

phpfmt.default = phpfmt;

module.exports = exports = phpfmt;
