const fs = require('fs');
const https = require('https');
const main = require('.');

console.log('Fetching fmt.stub.php from: ' + main.installUrl);

https
  .get(main.installUrl, res => {
    const dest = fs.createWriteStream(main.pharPath, {
      autoClose: true
    });
    res.pipe(dest).on('finish', () => {
      console.log(main.pharName + ' successfully installed!\n');
      process.exit(0);
    });
  })
  .on('error', err => {
    console.error('Error installing ' + main.pharName + ': ' + err.toString());
    process.exit(1);
  });
